import { BrowserWindow } from "electron";
import * as path from "path";
import * as url from "url";

export default class Window
{
    private window: Electron.BrowserWindow|null;

    public constructor(
        private width: number = 800,
        private height: number = 600
    ) {}

    public init(): void
    {
        this.window = new BrowserWindow({
            width: this.width,
            height: this.height
        });
        this.window.loadURL(url.format({
            pathname: path.join(__dirname, "../index.html"),
            protocol: "file:",
            slashes: true
        }));
        this.window.on("closed", () => {
            this.window = null;
        });
    }
}